<app-store-header></app-store-header>

<div class="container" *ngIf="books.length > 0; else cartIsEmpty">
    <div class="card">    
        <div class="row item-container" *ngFor="let book of books">
            <div class="col-2">
                <img
                    [src]="book.image"
                    class="image"
                    *ngIf="book.image"
                />
                <img 
                    src="../../assets/no-image-book.png"
                    class="image"
                    *ngIf="!book.image"
                />
            </div>
            <div class="col-8">
                <h3>{{book.name}}</h3>
            </div>
            <div class="col-2">
                <h3> {{book.price | currency:'RSD'}}</h3>
            </div>
            <hr>
        </div>
    </div>

    <div class="card">
        <h3> Укупна цена одабраних производа је: {{books | sum | currency:'RSD'}}</h3> 
    </div>

    <div class="card">
        <form [formGroup]="checkoutForm" (ngSubmit)="submitForm(checkoutForm.value)">
            <div class="form-group">
                <label for="name">Име:</label>
                <input name="name"
                        id="name"
                        formControlName="name"
                        type="text"
                        class="form-control"
                        value=""/>
                <p class="error-message" *ngIf="name.errors?.required">Име је обавезно!</p>
            </div>
            <hr>
            
            <div class="form-group">
                <label for="address">Адреса:</label>
                <input name="address"
                        id="address"
                        formControlName="address"
                        type="text"
                        class="form-control"
                        value="">
                <p class="error-message" *ngIf="address.errors?.required">Адреса је обавезна!</p>
                <p class="error-message" *ngIf="address.errors?.pattern">Неисправна адреса!</p>
            </div>
            <hr>

            <div class="form-group">
                <label for="email">Имејл:</label>
                <input name="email"
                        id="email"
                        formControlName="email"
                        type="text"
                        class="form-control"
                        value="">
                <p class="error-message" *ngIf="email.errors?.required">Имејл је обавезан!</p>
                <p class="error-message" *ngIf="email.errors?.email">Неисправан имејл!</p>
            </div>

            <button class="btn btn-primary" type="submit" 
                    [disabled]="!checkoutForm.valid">Потврди куповину</button>
        </form>
        
    </div>
</div>

<ng-template #cartIsEmpty>
    <div class="container">
        <h1>Корпа је празна.</h1>
    </div>
</ng-template>

